IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CFUJ_Etiqueta_Rpt_Generar_Cmd') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CFUJ_Etiqueta_Rpt_Generar_Cmd
END
GO

CREATE FUNCTION CFUJ_Etiqueta_Rpt_Generar_Cmd(@pJson VARCHAR(8000))
RETURNS VARCHAR(8000)
AS
BEGIN

/*Variables recibidas por parametro a traves del JSON*/
DECLARE @pId_Ventana		VARCHAR(50)
DECLARE @pId_Trans			INT
DECLARE @pItem				SMALLINT

SET @pId_Ventana		= ISNULL(CONVERT(VARCHAR(50), dbo.CF_JSON_VALUE(@pJson,'Id_Ventana')), '')
SET @pId_Trans			= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Contrato')), 0)
SET @pItem				= ISNULL(CONVERT(SMALLINT, dbo.CF_JSON_VALUE(@pJson,'Item')), 0)
/*FIN Variables recibidas por parametro a traves del JSON*/

/*Variables Locales*/
DECLARE @Cmd_Etiqueta						VARCHAR(8000)
/*FIN Variables Locales*/

/*Controles Parametros recibidos*/
IF(ISNULL(@pId_Ventana, '') = '')
BEGIN
	SET @Cmd_Etiqueta = ''
END

IF(ISNULL(@pId_Trans, 0) = 0)
BEGIN
	SET @Cmd_Etiqueta = ''
END

IF(ISNULL(@pItem, 0) = 0)
BEGIN
	SET @Cmd_Etiqueta = ''
END
/*FIN Controles Parametros recibidos*/

/*IMPLEMENTAR!*/

--Ej.
--IF(@pId_Ventana = 'Etiq_SG')
--BEGIN
--	SET @Cmd_Etiqueta = dbo.SF_Etiq_SG_GenerarCmd(@pId_Ventana, @pId_Trans, @pItem)
--END

RETURN ISNULL(@Cmd_Etiqueta, '')
END

--SELECT dbo.CFUJ_Etiqueta_Rpt_Generar_Cmd('{"Id_Ventana":"Etiq_SG","Id_Contrato":"8146459", "Item":"1"}')